## python-requests-kerberos 0.11.0

=== requirements.txt ===
requests>=1.1.0
winkerberos >= 0.5.0; sys.platform == 'win32'
pykerberos >= 1.1.8, < 2.0.0; sys.platform != 'win32'

## python-requests-kerberos 0.5

=== debian/changelog ===
python-requests-kerberos (0.5-2) unstable; urgency=high

  * CVE-2014-8650: failure to handle mutual authentication. Applied upstream
    patch: CVE-2014-8650_Handle_mutual_authentication.patch (Closes: #768408).
    Thanks to Salvatore Bonaccorso <carnil@debian.org> for reporting it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2014 21:22:51 +0800

python-requests-kerberos (0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #752858)

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Jun 2014 09:09:45 +0800

=== debian/control ===
Source: python-requests-kerberos
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-kerberos (>= 1.1.1),
                     python-mock,
                     python-requests (>= 1.1.0),
                     python3-kerberos (>= 1.1.1),
                     python3-mock,
                     python3-requests (>= 1.1.0)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-requests-kerberos.git
Vcs-Git: git://anonscm.debian.org/openstack/python-requests-kerberos.git
Homepage: https://github.com/requests/requests-kerberos

Package: python-requests-kerberos
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-kerberos (>= 1.1.1),
         python-requests (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends}
Description: Kerberos/GSSAPI authentication handler for python-requests - Python 3.x
 Requests is an HTTP library, written in Python, for human beings. This library
 adds optional Kerberos/GSSAPI authentication support and supports mutual
 authentication.
 .
 This package provides the Python 2.x module.

Package: python3-requests-kerberos
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-kerberos (>= 1.1.1),
         python3-requests (>= 1.1.0),
         ${misc:Depends},
         ${python3:Depends}
Description: Kerberos/GSSAPI authentication handler for python-requests - Python 2.x
 Requests is an HTTP library, written in Python, for human beings. This library
 adds optional Kerberos/GSSAPI authentication support and supports mutual
 authentication.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/requests/requests-kerberos.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -ex && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-requests-kerberos; \
	done
	set -ex && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-requests-kerberos; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S) ; do \
		python$$pyvers test_requests_kerberos.py ; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-requests-kerberos 0.7.0

=== debian/changelog ===
python-requests-kerberos (0.7.0-3) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:49:10 +0100

python-requests-kerberos (0.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:45:31 +0000

python-requests-kerberos (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed CVE-2014-8650_Handle_mutual_authentication.patch applied upstream.
  * Some (build-)depends updates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 19:50:21 +0000

python-requests-kerberos (0.5-3) unstable; urgency=medium

  * Fixed swapped short package descriptions of python2.x and python3.x binary
    packages. Thanks to Beatrice Torracca <beatricet@libero.it> for the bug
    repport. (Closes: #782185)

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2015 09:59:49 +0200

=== debian/control ===
Source: python-requests-kerberos
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-kerberos (>= 1.1.1),
                     python-mock,
                     python-requests (>= 1.1.0),
                     python3-kerberos (>= 1.1.1),
                     python3-mock,
                     python3-requests (>= 1.1.0)
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-requests-kerberos?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-requests-kerberos -b debian/newton
Homepage: https://github.com/requests/requests-kerberos

Package: python-requests-kerberos
Architecture: all
Depends: python-kerberos (>= 1.1.1),
         python-requests (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends}
Description: Kerberos/GSSAPI authentication handler for python-requests - Python 2.x
 Requests is an HTTP library, written in Python, for human beings. This library
 adds optional Kerberos/GSSAPI authentication support and supports mutual
 authentication.
 .
 This package provides the Python 2.x module.

Package: python3-requests-kerberos
Architecture: all
Depends: python3-kerberos (>= 1.1.1),
         python3-requests (>= 1.1.0),
         ${misc:Depends},
         ${python3:Depends}
Description: Kerberos/GSSAPI authentication handler for python-requests - Python 3.x
 Requests is an HTTP library, written in Python, for human beings. This library
 adds optional Kerberos/GSSAPI authentication support and supports mutual
 authentication.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/requests/requests-kerberos.git
+UPSTREAM_GIT := https://github.com/requests/requests-kerberos.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

## python-requests-kerberos 0.11.0

=== debian/changelog ===
python-requests-kerberos (0.11.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 18:16:14 +0200

python-requests-kerberos (0.11.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release (Closes: #880599).
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Removed all patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 22:33:24 +0100

=== debian/control ===
Source: python-requests-kerberos
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-kerberos,
 python-mock,
 python-requests,
 python3-kerberos,
 python3-mock,
 python3-requests,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-requests-kerberos
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-requests-kerberos.git
Homepage: https://github.com/requests/requests-kerberos

Package: python-requests-kerberos
Architecture: all
Depends:
 python-kerberos,
 python-requests,
 ${misc:Depends},
 ${python:Depends},
Description: Kerberos/GSSAPI authentication handler for python-requests - Python 2.x
 Requests is an HTTP library, written in Python, for human beings. This library
 adds optional Kerberos/GSSAPI authentication support and supports mutual
 authentication.
 .
 This package provides the Python 2.x module.

Package: python3-requests-kerberos
Architecture: all
Depends:
 python3-kerberos,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Kerberos/GSSAPI authentication handler for python-requests - Python 3.x
 Requests is an HTTP library, written in Python, for human beings. This library
 adds optional Kerberos/GSSAPI authentication support and supports mutual
 authentication.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,13 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
 UPSTREAM_GIT := https://github.com/requests/requests-kerberos.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
-override_dh_install:
-	set -ex && for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-requests-kerberos; \
-	done
-	set -ex && for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-requests-kerberos; \
-	done
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
https://github.com/requests/requests-kerberos/tags .*/(\d[\d\.]+)\.tar\.gz

## python-requests-kerberos 0.12.0

=== debian/changelog ===
python-requests-kerberos (0.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 00:56:10 +0200

python-requests-kerberos (0.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed executing unit tests for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 12:14:13 +0200

python-requests-kerberos (0.11.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938138).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 18:05:51 +0200

=== debian/control ===
Source: python-requests-kerberos
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-cryptography,
 python3-kerberos,
 python3-mock,
 python3-pytest,
 python3-requests,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-requests-kerberos
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-requests-kerberos.git
Homepage: https://github.com/requests/requests-kerberos

Package: python3-requests-kerberos
Architecture: all
Depends:
 python3-cryptography,
 python3-kerberos,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Kerberos/GSSAPI authentication handler for python-requests - Python 3.x
 Requests is an HTTP library, written in Python, for human beings. This library
 adds optional Kerberos/GSSAPI authentication support and supports mutual
 authentication.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/requests/requests-kerberos.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -ex && for pyvers in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers tests/test_requests_kerberos.py ; \
	done
endif

## python-requests-kerberos 0.14.0

=== requirements.txt ===
requests>=1.1.0
pyspnego
cryptography>=1.3

=== debian/changelog ===
python-requests-kerberos (0.14.0-4) unstable; urgency=medium

  * Removed extraneous python3-mock build-dependency (Closes: #1075957).
  * Fix d/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 15:22:23 +0100

python-requests-kerberos (0.14.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090604).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:09:43 +0100

python-requests-kerberos (0.14.0-2) unstable; urgency=medium

  * Use pytest to run tests, and remove python3-mock depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 May 2024 13:28:37 +0200

python-requests-kerberos (0.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1064401).
  * Add python3-pyspnego as (build-)depends.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 14:30:46 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
 Build-Depends-Indep:
  python3-cryptography,
  python3-kerberos,
- python3-mock,
+ python3-pyspnego,
  python3-pytest,
+ python3-pytest-mock,
  python3-requests,
 Standards-Version: 4.1.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-requests-kerberos
@@ -26,6 +27,7 @@
 Depends:
  python3-cryptography,
  python3-kerberos,
+ python3-pyspnego,
  python3-requests,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/requests/requests-kerberos.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build requests_kerberos.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -ex && for pyvers in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest tests -v ; \
	done
endif

## python-requests-kerberos 0.15.0

=== debian/changelog ===
python-requests-kerberos (0.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 16:47:18 +0100

python-requests-kerberos (0.14.0-6) unstable; urgency=medium

  * Removed python3-krb5 runtime depends (Closes: #1123828).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2025 15:08:52 +0100

python-requests-kerberos (0.14.0-5) unstable; urgency=medium

  [ James Morris ]
  * Add missking python3-krb5 depends (Closes: #1073066).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 10:47:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build requests_kerberos.egg-info .pytest_cache
+	rm -rf build requests_kerberos.egg-info .pytest_cache .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
